<app-navbar></app-navbar>

<h1 class=text-center>Listado de tareas </h1>
<hr>

<div class="row">
    <div class="col text-right">
        <button routerLink="/agregar/nuevo" class="btn btn-primary ">
            <i class="fa fa-plus"></i>
            Agregar
        </button>
    </div>
</div>

<table *ngIf="!cargando && tareas.length > 0" class="table mt-3 animated fadeIn faster">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Nombre</th>
            <th scope="col">Descripcion</th>
            <th scope="col">Estatus</th>
            <th scope="col">Tools</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let tarea of tareas; let i = index">
            <th scope="row">{{i+1}}</th>
            <td>{{tarea.nombre}}</td>
            <td>{{tarea.descripcion}}</td>
            <td>
                <label *ngIf="tarea.estado" class="badge badge-success">Completada</label>
                <label *ngIf="!tarea.estado" class="badge badge-danger">Pendiente</label>
            </td>
            <td>
                <button class="btn btn-info mr-1" [routerLink]="['/agregar',tarea.id]">
                    <i class="fa fa-circle"></i>  
                </button>

                <button class="btn btn-danger" (click)="deleteTarea(tarea, i)">
                    <i class="fa fa-trash"></i>                     
                </button>
            </td>
        </tr>
    </tbody>
</table>

<div *ngIf="!cargando && tareas.length === 0" class="alert alert-warning text-center mt-3 animated fadeIn faster">
    <h4 class="alert-heading">No hay registros</h4>
    <p>
        <i class="fa fa-exclamation fa-2x"></i>
    </p>
</div>

<div *ngIf="cargando" class="alert alert-info text-center mt-3 animated fadeIn faster">
    <h4 class="alert-heading">Cargando</h4>
    <p>
        <i class="fa fa-sync-alt fa-spin fa-2x"></i>
    </p>
    <p class="mb-0">
        Espere por favor
    </p>
</div>